### Method

# Gio Task return_error

since: 2.36

#### Declaration

    void
    g_task_return_error (
      GTask* task,
      GError* error
    )

#### Description

Sets `task`‘s result to `error` (which `task` assumes ownership of) and completes the task (see `g_task_return_pointer()` for more discussion of exactly what this means).

Note that since the task takes ownership of `error`, and since the task may be completed before returning from g_task_return_error(), you cannot assume that `error` is still valid after calling this. Call `g_error_copy()` on the error if you need to keep a local copy as well.

See also `g_task_return_new_error()`, `g_task_return_new_error_literal()`.

Available since: 2.36

#### Parameters

`error`

  Type: `GError`

  The `GError` result of a task function.

  The instance takes ownership of the data, and is responsible for freeing it.